package com.aliyun.alink.linksdk.alcs.lpbs.api;

/**
 * 定义了协议桥接模块的固定值
 *
 * @author jinhaifeng on 2018/8/17.
 */
public class AlcsPalConst {
    public final static String TAG = "[AlcsLPBS]";

    /** ali 协议的桥接模块的id */
    public final static String ICA_PAL_ID = "LPBSBridgeImplIca";

    public final static String ICA_PLUGIN_ID = "iot_ica";

    /** 成功定义，非0则为错误 */
    public static final int PAL_RESULT_OK                 = 0;
    /** 统一错误定义 */
    public static final int PAL_RESULT_FAIL               = 1;
    /** 内存错误定义 */
    public static final int PAL_RESULT_INSUFFICIENT_MEM   = 2;
    /** 内部数据未找到错误定义*/
    public static final int PAL_RESULT_NOTFOUND           = 3;
    /** 无效参数的错误定义*/
    public static final int PAL_RESULT_INVALIDPARAM       = 4;
    /** 重复的错误定义*/
    public static final int PAL_RESULT_DUPLICATE          = 5;


    public static final String DATA_FORMAT_ALINK = "ALINK_FORMAT";

    public static final String DATA_FORMAT_CUNSTOM = "CUSTOM_FORMAT";

    public static final String DATA_FORMAT_UNKNOWN = "UNKNOWN_FORMAT";


    public static final String MODEL_TYPE_UNKNOWN = "0";
    public static final String MODEL_TYPE_ALI_WIFI = "1";
    public static final String MODEL_TYPE_ALI_BREEZE = "2";
    public static final String MODEL_TYPE_ALI_THIRD_PART = "3";
//    public static final String MODEL_TYPE_ALI_THIRD_DLCP = "4";
}
